Bug Hunting Session
Bug 127339 - FILEOPEN DOCX Hyperlink inserted to image with bookmark target broken in Writer
Summary: FILEOPEN DOCX Hyperlink inserted to image with bookmark target broken in Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3 all versions
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: DOCX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-09-04 14:58 UTC by NISZ LibreOffice Team
Modified: 2019-09-06 10:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer. (169.28 KB, image/png)
2019-09-04 14:59 UTC, NISZ LibreOffice Team
Details
Example file from Word. (43.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-09-04 14:59 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-09-04 14:58:24 UTC
Description:
Hyperlink inserted to image with bookmark target in DOCX documents created with Microsoft Word is broken when the document is opened in LibreOffice Writer.

Steps to Reproduce:
    1. Create a new document in Microsoft Word 2016.
    2. Insert a bookmark.
    3. Insert a page break.
    4. Insert an image.
    5. Select the image.
    6. On the Insert tab, click Hyperlink.
    7. Under Link to, click Place in This Document.
    8. In the list, select the bookmark
    9. Click on OK button.
    10. Save the file as DOCX.
    11. Open the same file in LibreOffice Writer.
    12. Ctrl+Click the image.

Actual Results:
The hyperlink doesn’t work.

Expected Results:
The hyperlink should work in Writer.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 1bad7f0b19e47a41a1919573f80785ec62c611af
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-09-04 14:59:20 UTC
Created attachment 153872 [details]
Screenshot of the problem in Writer.
Comment 2 NISZ LibreOffice Team 2019-09-04 14:59:42 UTC
Created attachment 153873 [details]
Example file from Word.
Comment 3 Durgapriyanka 2019-09-04 15:09:58 UTC
Thank you for reporting the bug. 

I can confirm the bug present in 

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Commit Notification 2019-09-06 10:55:56 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/04163422234d1becac05b16c7460518277294d6b%5E%21

tdf#127339 DOCX import/export: fix image hyperlink to bookmark target

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.